<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Referer Panel
| Version: 2.5
| Author: Sebastian Schssler (slaughter)
| Download: http://basti2web.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION") || !checkrights("I")) { die("Access Denied"); }

require_once INFUSIONS."referer_panel/infusion_db.php";
$ref_num = ""; // notice fix
if (file_exists(INFUSIONS."referer_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."referer_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."referer_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['REF_100'];
$inf_description = $locale['REF_101'];
$inf_version = "2.51";
$inf_developer = "Sebastian Schssler (slaughter)";
$inf_email = "";
$inf_weburl = "http://basti2web.de";

$inf_folder = "referer_panel";

$inf_adminpanel[1] = array(
	"title" => $locale['REF_100'],
	"image" => "infusion_panel.gif",
	"panel" => "referer_admin.php",
	"rights" => "REF"
);


$inf_newtable[1] = DB_REF_DOMAINS." (
ref_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
ref_domain VARCHAR(255) DEFAULT '' NOT NULL,
PRIMARY KEY (ref_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_REF_REFERER." (
ref_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
ref_referer VARCHAR(255) DEFAULT '' NOT NULL,
ref_time INT(10) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (ref_id)
) TYPE=MyISAM;";

$inf_newtable[3] = DB_REF_SETTINGS." (
ref_ver VARCHAR(100) DEFAULT '' NOT NULL,
ref_type TINYINT(1) NOT NULL,
ref_max SMALLINT(2) NOT NULL,
ref_last SMALLINT(2) NOT NULL,
ref_top SMALLINT(2) NOT NULL,
ref_all SMALLINT(2) NOT NULL,
ref_link SMALLINT(2) NOT NULL,
ref_see VARCHAR(100) DEFAULT '' NOT NULL,
ref_spam_words TEXT NOT NULL
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_REF_SETTINGS." (ref_id, ref_domain) VALUES ('', '".$settings['siteurl']."')";
$inf_insertdbrow[2] = DB_REF_SETTINGS." (ref_ver, ref_type, ref_max, ref_last, ref_top, ref_all, ref_link, ref_see, ref_spam_words) VALUES ('".$inf_version."', '1', '5', '5', '100', '1', '0', '0', '')";

$inf_insertdbrow[3] = DB_REF_REFERER." (ref_id, ref_referer, ref_time) VALUES ('', 'http://basti2web.de', '".time()."')";
$inf_insertdbrow[4] = DB_REF_REFERER." (ref_id, ref_referer, ref_time) VALUES ('', 'http://basti2web.de', '".time()."')";

$inf_droptable[1] = DB_REF_DOMAINS;
$inf_droptable[2] = DB_REF_SETTINGS;
$inf_droptable[3] = DB_REF_REFERER;

?>